
Foreman - Feature #1853

hostgroups can not be listed if filter = null

09/05/2012 09:59 AM - Steve Traylen

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Authentication   

Target version: 1.3.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman v1.0.1  ( seen on 1.0 as well)

If I have a  user with 'view' permissions and no filters ticked then

https://foreman/hosts   shows a  list of all hosts

https://foreman/hostgroups does not show any hostgroups, in foreman < 1 it used to show all hostgroups.

as soon as I tick a hostgroup in a filter then

https://foreman/hosts shows just the hosts in the particular  ticked host groups.

https://formann/hostgroups shows just the hostgroups from the filter.

There seems to be no easy way to configure a user such that they can see a list

of all hostgroups with out ticking all the host groups in the filter and maintaining that.

Associated revisions

Revision 5c70f9d4 - 09/08/2013 08:19 AM - Daniel Lobato Garcia

fixes #1853 - Users now have a new filter to subscribe to new hostgroups

History

#1 - 12/04/2012 08:34 AM - Martijn van Oosterhout

Just stumbled across this today when trying to figure out why my program using the API couldn't retrieve the list of HostGroups unless the user was

made Administrator. Since I'd like this user to be read-only that's not an option.

Oddly enough, contrary to the original report, it can list the hosts, just not the hostgroups. Very odd. Foreman v1.0.

Adding all the HostGroups to the filter works fine.

#2 - 12/04/2012 09:58 AM - Ohad Levy

- Category set to API

- Assignee set to Joseph Magen

#3 - 12/10/2012 05:30 AM - Daniel Lobato Garcia

Taking care of this.

#4 - 12/10/2012 05:11 PM - Daniel Lobato Garcia

Fixed, description is on github https://github.com/theforeman/foreman/pull/296

#5 - 03/04/2013 07:06 AM - Ohad Levy

- Target version set to 1.2.0

#6 - 05/10/2013 04:13 AM - Dominic Cleal
- Category changed from API to Authentication

- Status changed from New to Ready For Testing

- Assignee changed from Joseph Magen to Daniel Lobato Garcia

#7 - 06/24/2013 03:53 AM - Dominic Cleal

- Target version changed from 1.2.0 to 1.3.0

#8 - 09/08/2013 08:31 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5c70f9d471fe8d7b20f2cdc47ed7408bdcf99d39.
